# Uses of Class
org.apache.sysds.runtime.io.hdf5.message.H5Message

Packages that use H5Message
Package
Description
org.apache.sysds.runtime.io.hdf5
org.apache.sysds.runtime.io.hdf5.message

## Uses of H5Message in org.apache.sysds.runtime.io.hdf5

Methods in org.apache.sysds.runtime.io.hdf5 with type parameters of type H5Message
Modifier and Type
Method
Description
`<T extends H5Message>
T`
H5ObjectHeader.`getMessageOfType(Class<T> type)`
`<T extends H5Message>
List<T>`
H5ObjectHeader.`getMessagesOfType(Class<T> type)`
`<T extends H5Message>
boolean`
H5ObjectHeader.`hasMessageOfType(Class<T> type)`
Methods in org.apache.sysds.runtime.io.hdf5 that return types with arguments of type H5Message
Modifier and Type
Method
Description
`List<H5Message>`
H5ObjectHeader.`getMessages()`

## Uses of H5Message in org.apache.sysds.runtime.io.hdf5.message

Subclasses of H5Message in org.apache.sysds.runtime.io.hdf5.message
Modifier and Type
Class
Description
`class`
`H5AttributeMessage`
Lightweight placeholder for attribute messages.
`class`
`H5DataLayoutMessage`
`class`
`H5DataSpaceMessage`
`class`
`H5DataTypeMessage`
`class`
`H5FillValueMessage`
`class`
`H5FilterPipelineMessage`
Minimal parser for filter pipeline messages.
`class`
`H5NilMessage`
`class`
`H5ObjectModificationTimeMessage`
`class`
`H5SymbolTableMessage`
Methods in org.apache.sysds.runtime.io.hdf5.message that return H5Message
Modifier and Type
Method
Description
`static H5Message`
H5Message.`readObjectHeaderMessage(H5RootObject rootObject, ByteBuffer bb)`